## no critic
package Bencher::ScenarioR::Allocations;

our $VERSION = "0.040"; # VERSION

our $results = [[200,"OK",[{_name=>"participant=1k-hash100",_succinct_name=>"1k-hash100",errors=>6.8e-06,participant=>"1k-hash100",pct_faster_vs_slowest=>0,pct_slower_vs_fastest=>89.0440384612721,rate=>150,samples=>20,time=>6.5},{_name=>"participant=1k-array100",_succinct_name=>"1k-array100",errors=>2e-07,participant=>"1k-array100",pct_faster_vs_slowest=>4.28455284552845,pct_slower_vs_fastest=>16.0391026626715,rate=>813,samples=>23,time=>1.23},{_name=>"participant=1k-hash10",_succinct_name=>"1k-hash10",errors=>1.6e-07,participant=>"1k-hash10",pct_faster_vs_slowest=>7.92857142857143,pct_slower_vs_fastest=>9.08493230766247,rate=>1370,samples=>20,time=>0.728},{_name=>"participant=1k-hash5",_succinct_name=>"1k-hash5",errors=>5e-08,participant=>"1k-hash5",pct_faster_vs_slowest=>16.4731182795699,pct_slower_vs_fastest=>4.15328958578357,rate=>2680,samples=>23,time=>0.372},{_name=>"participant=1k-array10",_succinct_name=>"1k-array10",errors=>5.7e-12,participant=>"1k-array10",pct_faster_vs_slowest=>26.9046365485485,pct_slower_vs_fastest=>2.22684863874193,rate=>4293.021,samples=>22,time=>0.2329362},{_name=>"participant=1k-hash1",_succinct_name=>"1k-hash1",errors=>2.1e-07,participant=>"1k-hash1",pct_faster_vs_slowest=>37.2352941176471,pct_slower_vs_fastest=>1.35499792898712,rate=>5900,samples=>21,time=>0.17},{_name=>"participant=1k-array5",_succinct_name=>"1k-array5",errors=>1.6e-07,participant=>"1k-array5",pct_faster_vs_slowest=>39.1234567901235,pct_slower_vs_fastest=>1.24417449703478,rate=>6190,samples=>21,time=>0.162},{_name=>"participant=1k-array1",_succinct_name=>"1k-array1",errors=>0,participant=>"1k-array1",pct_faster_vs_slowest=>62.7248654424957,pct_slower_vs_fastest=>0.413012610321263,rate=>9803.81,samples=>20,time=>0.102001},{_name=>"participant=1k-hash0",_succinct_name=>"1k-hash0",errors=>5.7e-12,participant=>"1k-hash0",pct_faster_vs_slowest=>78.3280886482848,pct_slower_vs_fastest=>0.13508392797031,rate=>12204.32,samples=>20,time=>0.08193819},{_name=>"participant=1k-array0",_succinct_name=>"1k-array0",errors=>0,participant=>"1k-array0",pct_faster_vs_slowest=>89.0440384612721,pct_slower_vs_fastest=>0,rate=>13852.9,samples=>20,time=>0.0721869}],{"func.bencher_args"=>{action=>"bench",note=>"Run by Pod::Weaver::Plugin::Bencher::Scenario",scenario=>{descriptions=>"\nThis scenario tries to give a picture on how long it takes to allocate arrays\nand hashes of various size take.\n\n",participants=>[{code_template=>"my \$val; for (1..1000) { \$val = [] }",include_by_default=>1,name=>"1k-array0",seq=>0,summary=>"Allocating empty array 1000 times",type=>"perl_code"},{code_template=>"my \$val; for (1..1000) { \$val = {} }",include_by_default=>1,name=>"1k-hash0",seq=>1,summary=>"Allocating empty hash 1000 times",type=>"perl_code"},{code_template=>"my \$val; for (1..1000) { \$val = [1] }",include_by_default=>1,name=>"1k-array1",seq=>2,summary=>"Allocating 1-element array 1000 times",type=>"perl_code"},{code_template=>"my \$val; for (1..1000) { \$val = {a=>1} }",include_by_default=>1,name=>"1k-hash1",seq=>3,summary=>"Allocating 1-key hash 1000 times",type=>"perl_code"},{code_template=>"my \$val; for (1..1000) { \$val = [1..5] }",include_by_default=>1,name=>"1k-array5",seq=>4,summary=>"Allocating 5-element array 1000 times",type=>"perl_code"},{code_template=>"my \$val; for (1..1000) { \$val = {a=>1, b=>2, c=>3, d=>4, e=>5} }",include_by_default=>1,name=>"1k-hash5",seq=>5,summary=>"Allocating 5-key hash 1000 times",type=>"perl_code"},{code_template=>"my \$val; for (1..1000) { \$val = [1..10] }",include_by_default=>1,name=>"1k-array10",seq=>6,summary=>"Allocating 10-element array 1000 times",type=>"perl_code"},{code_template=>"my \$val; for (1..1000) { \$val = {1..20} }",include_by_default=>1,name=>"1k-hash10",seq=>7,summary=>"Allocating 10-key hash 1000 times",type=>"perl_code"},{code_template=>"my \$val; for (1..1000) { \$val = [1..100] }",include_by_default=>1,name=>"1k-array100",seq=>8,summary=>"Allocating 100-element array 1000 times",type=>"perl_code"},{code_template=>"my \$val; for (1..1000) { \$val = {1..200} }",include_by_default=>1,name=>"1k-hash100",seq=>9,summary=>"Allocating 100-key hash 1000 times",type=>"perl_code"}],summary=>"Benchmark allocations"}},"func.bencher_version"=>undef,"func.code_startup"=>undef,"func.cpu_info"=>[{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","xsaveopt","dtherm","ida","arat","pln","pts","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>0,speed=>2055.578,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","xsaveopt","dtherm","ida","arat","pln","pts","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>1,speed=>1877.043,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","xsaveopt","dtherm","ida","arat","pln","pts","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>2,speed=>2179.978,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","xsaveopt","dtherm","ida","arat","pln","pts","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>3,speed=>"2133.820",stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","xsaveopt","dtherm","ida","arat","pln","pts","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>4,speed=>2178.098,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","xsaveopt","dtherm","ida","arat","pln","pts","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>5,speed=>1771.696,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","xsaveopt","dtherm","ida","arat","pln","pts","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>6,speed=>2507.106,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","xsaveopt","dtherm","ida","arat","pln","pts","md_clear","flush_l1d"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>7,speed=>"1718.280",stepping=>3}],"func.elapsed_time"=>0.516351938247681,"func.module_startup"=>undef,"func.module_versions"=>{"Benchmark::Dumb"=>0.501,"Devel::Platform::Info"=>"1.00","Sys::Info"=>0.7811,__PACKAGE__=>1.059,perl=>"v5.34.0"},"func.note"=>"Run by Pod::Weaver::Plugin::Bencher::Scenario","func.permute"=>["perl",["perl"],"participant",[0,1,2,3,4,5,6,7,8,9]],"func.platform_info"=>{archname=>"x86_64",codename=>"tara",is32bit=>0,is64bit=>1,kernel=>"linux-5.3.0-68-generic",kname=>"Linux",kvers=>"5.3.0-68-generic",osflag=>"linux",oslabel=>"LinuxMint",osname=>"GNU/Linux",osvers=>19,source=>{"cat /etc/.issue"=>"","cat /etc/issue"=>"Linux Mint 19 Tara \\n \\l","lsb_release -a"=>"Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 19 Tara\nRelease:\t19\nCodename:\ttara","uname -a"=>"Linux builder 5.3.0-68-generic #63-Ubuntu SMP Mon Sep 28 13:51:38 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux","uname -m"=>"x86_64","uname -o"=>"GNU/Linux","uname -r"=>"5.3.0-68-generic","uname -s"=>"Linux"}},"func.precision"=>0,"func.time_end"=>1627730914.89718,"func.time_factor"=>1,"func.time_start"=>1627730914.38083,"table.field_aligns"=>["left","left","number","number","number","number","number","number","number","number","number","number"],"table.field_formats"=>[undef,undef,undef,undef,"percent","percent","percent","percent","percent","percent",undef,undef],"table.field_units"=>[undef,undef,"/s","ms",undef,undef,undef,undef],"table.fields"=>["participant","dataset","rate","time","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","errors","samples"]}]];

1;
# ABSTRACT: Benchmark allocations

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

